## org.jfree.report.modules.misc.autotable.xml
Class AutoTableCellContentReadHandler

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
          org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
              org.jfree.report.modules.misc.autotable.xml.AutoTableCellContentReadHandler

All Implemented Interfaces:
  NodeReadHandler, org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

    public class AutoTableCellContentReadHandler

extends AbstractElementReadHandler

Creation-Date: Dec 9, 2006, 5:47:25 PM

Author:
  Thomas Morgner

Constructor Summary
`AutoTableCellContentReadHandler()`

Method Summary
`protected Element` `getElement()`
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
`configureElement, getHandlerForChild, getNode, getObject, getStyle, init, isEnabled`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
`characters, deriveParseParameters, doneParsing, endElement, getLocator, getRootHandler, getTagName, getUri, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler
`characters, endElement, startElement`

Constructor Detail

### AutoTableCellContentReadHandler

    public AutoTableCellContentReadHandler()

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Starts parsing.

  Overrides:
    `startParsing` in class `AbstractElementReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### getElement

    protected Element getElement()

  Specified by:
    `getElement` in class `AbstractElementReadHandler`